#include <bits/stdc++.h>

using namespace std;

#define f(i, n) for(int i=0;i<n;i++)
#define f1(i, n) for(int i=1;i<n;i++)
#define f2(i, n) for(int i=2;i<n;i++)
#define fr(i, n) for(int i=n-1;i>=0;i--)
#define ll long long
// #define ll __int128_
// #define int long long
#define MOD (ll)998244353
#define vi vector<int>
#define vvi vector<vi>
#define vc vector<char>
#define vll vector<ll>
#define vvll vector<vll>
#define pii pair<int, int>
#define pll pair<ll, ll>
#define all(v) v.begin(), v.end()

signed main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    int n, m;
    cin >> n >> m;
    vi a(n);
    f(i, n)
        cin >> a[i];
    string s;
    cin >> s;
    vc sd(n);
    f(i, n)
        sd[i] = s[i] == 'R';

    cout << "YES\n";
    return 0;
}